diff -ru openssh-3.4p1.orig/contrib/aix/buildbff.sh openssh-3.4p1/contrib/aix/buildbff.sh
--- openssh-3.4p1.orig/contrib/aix/buildbff.sh	Wed Jul  3 11:45:56 2002
+++ openssh-3.4p1/contrib/aix/buildbff.sh	Fri Jul  5 15:19:32 2002
@@ -18,6 +18,16 @@
 
 umask 022
 
+startdir=`pwd`
+
+# Path to inventory.sh: same place as buildbff.sh
+if  echo $0 | egrep '^/'
+then
+	inventory=`dirname $0`/inventory.sh		# absolute path
+else
+	inventory=`pwd`/`dirname $0`/inventory.sh	# relative path
+fi
+
 #
 # We still support running from contrib/aix, but this is depreciated
 #
@@ -45,14 +55,6 @@
 PKGNAME=openssh
 PKGDIR=package
 
-# Path to inventory.sh: same place as buildbff.sh
-if  echo $0 | egrep '^/'
-then
-	inventory=`dirname $0`/inventory.sh		# absolute path
-else
-	inventory=`pwd`/`dirname $0`/inventory.sh	# relative path
-fi
-
 #
 # Collect local configuration settings to override defaults
 #
@@ -328,15 +330,10 @@
 ) | backup  -i -q -f ../$PKGNAME-$VERSION.bff $filelist
 
 #
-# Move package into final location
+# Move package into final location and clean up
 #
-if [ "$contribaix" = "1" ]
-then
-	mv ../$PKGNAME-$VERSION.bff $objdir/contrib/aix
-else
-	mv ../$PKGNAME-$VERSION.bff $objdir
-fi
-
+mv ../$PKGNAME-$VERSION.bff $startdir
+cd $startdir
 rm -rf $objdir/$PKGDIR
 
 echo $0: done.
